# Pages: get

Retrieves one pages resource by its page ID.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/pages/get#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/pages/get#examples).

[Authorization](https://developers.google.com/blogger/docs/3.0/using#auth) is required if the page is on a blog that is private. If the page is on a blog that is public, then this method can be called without authorization.

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/blogs/blogId/pages/pageId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The ID of the blog containing the page. |
| `pageId` | `string` | The ID of the page to get. |
| **Optional parameters** |||
| `view` | `string` | Acceptable values are: - "`ADMIN`": Admin level detail - "`AUTHOR`": Author level detail - "`READER`": Admin level detail |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Pages resource](https://developers.google.com/blogger/docs/3.0/reference/pages#resource) in the response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
// The BlogId for the http://buzz.blogger.com/ blog.
String BUZZ_BLOG_ID = "2399953";

// The PageId for a buzz page.
String BUZZ_PAGE_ID = "8251768148820290538";

// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.
Blogger blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)
	.setApplicationName("Blogger-PagesGet-Snippet/1.0")
	.setHttpRequestInitializer(credential).build();

// The request action.
Get pagesGetAction = blogger.pages().get(BUZZ_BLOG_ID, BUZZ_PAGE_ID);

// Restrict the result content to just the data we need.
pagesGetAction.setFields("content,published,updated,title,url");

// This step sends the request to the server.
Page page = pagesGetAction.execute();

// Now we can navigate the response.
System.out.println("Title: " + page.getTitle());
System.out.println("Publised: " + page.getPublished());
System.out.println("Updated: " + page.getUpdated());
System.out.println("URL: " + page.getUrl());
System.out.println("Content: " + page.getContent());
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.